package com.atguigu.utils;

import com.alibaba.fastjson.JSON;
import com.atguigu.constant.MessageConstant;
import com.atguigu.spzx.model.vo.result.Result;
import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;

import java.io.IOException;

@Slf4j
public class InterceptorUtil {
    /**
     * 用户未登录返回响应
     *
     * @param response 返回体
     */
    public static void unLoginInterceptor(HttpServletResponse response) throws IOException {
        log.warn("InterceptorUtil===>用户未登录");
        customLoginInterceptor(response, MessageConstant.USER_NOT_LOGIN, "");
    }

    /**
     * 构建用户登录失败
     *
     * @param response HttpServletResponse
     * @param message  消息
     * @param data     内容
     */
    public static void customLoginInterceptor(HttpServletResponse response, String message, String data) throws IOException {
        response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
        response.setContentType("application/json");
        response.setCharacterEncoding("UTF-8");
        Result<String> result = new Result<>();
        result.setCode(HttpServletResponse.SC_UNAUTHORIZED);
        result.setData(data);
        result.setMessage(message);
        // 将消息写入响应体
        response.getWriter().write(JSON.toJSONString(result));
    }
}