package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.system.SysUserDto;
import com.atguigu.spzx.model.entity.system.SysUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysUserMapper {
    /**
     * * 根据username查询用户信息
     *
     * @param username 用户名
     * @return 用户信息
     */
    SysUser selectByUsername(String username);

    /**
     * 查询用户
     *
     * @param sysUserDto 用户请求参数实体类
     * @return List<SysUser>
     */
    List<SysUser> findByPage(SysUserDto sysUserDto);

    /**
     * 添加用户
     *
     * @param sysUser 系统用户实体类
     */
    void save(SysUser sysUser);

    /**
     * 修改用户
     *
     * @param sysUser 系统用户实体类
     */
    void updateSysUser(SysUser sysUser);

    /**
     * 根据id删除用户
     *
     * @param userId 用户id
     */
    void deleteById(Long userId);
}
