package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.dto.system.LoginDto;
import com.atguigu.spzx.model.dto.system.SysUserDto;
import com.atguigu.spzx.model.entity.system.SysUser;
import com.atguigu.spzx.model.vo.system.LoginVo;
import com.github.pagehelper.PageInfo;

public interface SysUserService {
    /**
     * * 登录请求实现
     *
     * @param loginDto 登录请求参数
     * @return 登录后结果
     */
    LoginVo login(LoginDto loginDto);

    /**
     * * 用户退出接口
     *
     * @param token token值
     */
    void logout(String token);

    /**
     * 查询用户
     *
     * @param sysUserDto 用户请求体
     * @param pageNum    当前页
     * @param pageSize   一页大小
     * @return 用户分页结果
     */
    PageInfo<SysUser> findByPage(SysUserDto sysUserDto, Integer pageNum, Integer pageSize);

    /**
     * 添加用户
     *
     * @param sysUser 系统用户实体类
     */
    void saveSysUser(SysUser sysUser);

    /**
     * 修改用户
     *
     * @param sysUser 系统用户实体类
     */
    void updateSysUser(SysUser sysUser);

    /**
     * 根据id删除用户
     *
     * @param userId 用户id
     */
    void deleteById(Long userId);
}
